//*****************************************************
//       File:  ImageDemo3.java
//        Dir:  c:users\gordon\cis421\animation
//     Author:  HGG
//   Computer:  PCs and Suns supporting Xwindows
//   Compiler:  Java 1.2
//    Purpose:  To demonstrate images in applications
//              Uses the Toolkit
//    Execute:  java ImageDemo3 url
//         eg:  java ImageDemo3 file:C:\\dir\\..\\dir\\dog.gif
//              case sensitive in url
//
//*****************************************************
import java.io.*;
import java.awt.*;
import java.awt.image.*;
import java.net.*;

 public class ImageDemo3 extends Frame 
 { URL url;
   Image image;   

   public ImageDemo3(String name)
   { // Loads additional methods into the VM
     Toolkit tk = Toolkit.getDefaultToolkit();

     try
     { url = new URL(name);
     }
     catch(MalformedURLException e)
     {
       System.out.println("Incorrect URL: " + name);
     }
     image = tk.createImage(url);
     setSize(400, 200);
     setTitle(url.getHost() + url.getFile());
     setVisible(true);
   }

   public void paint(Graphics g)
   {
      g.drawImage(image, 10, 25, this);
   }
 
   public static void main(String[] args)
   {
     if(args.length != 1)
     {
        System.out.println("Usage: java ImageDemo3 url");
        System.exit(0);
     }
     new ImageDemo3(args[0]);
   }
}
   

